Skip to main content
POST
/
api
/
v1
/
schedules
Create a new schedule
curl --request POST \
  --url https://{subdomain}.mihu.ai/api/v1/schedules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Dr. Smith Schedule",
  "availability_type_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "appointment",
  "color": "#3B82F6",
  "ai_agents": [
    "<string>"
  ],
  "human_agents": [
    "<string>"
  ],
  "custom_questions": [
    {}
  ]
}
'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/schedules"

payload = {
"name": "Dr. Smith Schedule",
"availability_type_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "appointment",
"color": "#3B82F6",
"ai_agents": ["<string>"],
"human_agents": ["<string>"],
"custom_questions": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Dr. Smith Schedule',
availability_type_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'appointment',
color: '#3B82F6',
ai_agents: ['<string>'],
human_agents: ['<string>'],
custom_questions: [{}]
})
};

fetch('https://{subdomain}.mihu.ai/api/v1/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Body

application/json
name
string
required
Example:

"Dr. Smith Schedule"

availability_type_uuid
string<uuid>
required
type
string
Example:

"appointment"

color
string
Example:

"#3B82F6"

ai_agents
string[]
human_agents
string[]
custom_questions
object[]

Response

201

Schedule created successfully